static const char *RcsId = "$Id $";
//+=============================================================================
//
// file :         InterferometerStateMachine.cpp
//
// description :  C++ source for the Interferometer and its alowed 
//                methods for commands and attributes
//
// project :      TANGO Device Server
//
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source:  $
// $Log:  $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <Interferometer.h>
#include <InterferometerClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace Interferometer_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_integrationTime_allowed
// 
// description : 	Read/Write allowed for integrationTime attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_integrationTime_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_standardDeviation_allowed
// 
// description : 	Read/Write allowed for integrationTime attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_standardDeviation_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_frequency_allowed
// 
// description : 	Read/Write allowed for frequency attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_frequency_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_average_allowed
// 
// description : 	Read/Write allowed for average attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_average_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_beamStrength_allowed
// 
// description : 	Read/Write allowed for beamStrength attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_beamStrength_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_samplesQuantity_allowed
// 
// description : 	Read/Write allowed for samplesQuantity attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_samplesQuantity_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_samples_allowed
// 
// description : 	Read/Write allowed for samples attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_samples_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_negValues_allowed
// 
// description : 	Read/Write allowed for negValues attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_negValues_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_negValues_allowed
// 
// description : 	Read/Write allowed for negValues attribute.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_angleConv_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_Reset_allowed
// 
// description : 	Execution allowed for Reset command.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_Reset_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_Start_allowed
// 
// description : 	Execution allowed for Start command.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_Start_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::RUNNING	||
		get_state() == Tango::FAULT)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Interferometer::is_Stop_allowed
// 
// description : 	Execution allowed for Stop command.
//
//-----------------------------------------------------------------------------
bool Interferometer::is_Stop_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::FAULT	||
		get_state() == Tango::STANDBY)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}

}	// namespace Interferometer_ns
